#### D.2.13.4 compareTasks

Procedure from library `tasks.lib` (see tasks_lib).

Usage:
  compareTasks(t1, t2), t1, t2 tasks

Return:
  1, if t1 and t2 coincide;
  0, otherwise.

Note:
  The arguments and the results of t1 and t2 are not compared.
  't1 == t2' is a shortcut for 'compareTasks(t1, t2)'.

Example:

    LIB "tasks.lib";
    ring R = 0, (x,y), dp;
    ideal I = x9y2+x10, x2y7-y8;
    task t1 = "std", list(I);
    task t2 = "std", list(I);
    compareTasks(t1, t2);
    ==> 1
    startTasks(t1);
    waitAllTasks(t1);
    t1 == t2;   // the same as compareTasks(t1, t2);
    ==> 0
    killTask(t1);
    killTask(t2);
    // The arguments and the result are not compared!
    ideal J = x;
    task t3 = "std", list(I);
    task t4 = "std", list(J);
    t3 == t4;
    ==> 1
    killTask(t3);
    killTask(t4);

See also: copyTask; getArguments; getCommand; getResult; getState; printTask.

User manual for Singular version 4.4.1, 2025, generated by texi2html.